Bug 135441 - grep fails to find bold text in a dump of a man page
Summary: grep fails to find bold text in a dump of a man page
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: grep   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-12 18:34 UTC by Stefan Hoelldampf
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-13 08:50:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stefan Hoelldampf 2004-10-12 18:34:12 UTC
Description of problem:
grep fails to find bold text in a dump of a man page

Version-Release number of selected component (if applicable):
grep-2.5.1-26

How reproducible:
Always

Steps to Reproduce:
1. do "man -P cat grep | grep BUGS"


Actual Results:
$ man -P cat grep | grep BUGS
$

Expected Results:
$ man -P cat grep | grep BUGS
BUGS
$

Comment 1 Tim Waugh 2004-10-13 08:50:00 UTC
Bold is achieved by overwriting, so you would need a special search
pattern to find it.

Instead I think you meant to do: 'man grep | col -b | grep BUGS'.


Note You need to log in before you can comment on or make changes to this bug.